LOGIN_FBTAB(3)

NAME
login_fbtab - implement device security based on /etc/fbtab

SYNOPSIS
#include <sys/types.h>
#include <util.h>
void
login_fbtab(const char *tty, uid_t uid, gid_t gid);

DESCRIPTION
The login_fbtab() function reads the /etc/fbtab file and implements device security as described in the fbtab(5) manual page.

FILES
/etc/fbtab

DIAGNOSTICS
Problems are reported via the syslogd(8) daemon with the severity of LOG_ERR.

SEE ALSO
fbtab(5)

AUTHORS

    Wietse Venema (wietse@wzv.win.tue.nl)
    Eindhoven University of Technology
    The Netherlands

CAVEATS
Previous versions of this routine used strtok(3), which can cause conflicts with other uses of that routine. This may be an issue when porting programs to OpenBSD 3.1 and below.